DeveloperSide.NET Forums
July 21, 2019, 06:56:47 AM *
Welcome, Guest. Please login or register.

Login with username, password and session length
News:
 
   Home   Help Search Login Register  
Pages: [1]
  Print  
Author Topic: PHP-Apache Alias confusion  (Read 16973 times)
0 Members and 1 Guest are viewing this topic.
rchardon
Member
*
Posts: 1


View Profile Email
« on: November 09, 2008, 09:32:07 AM »

Struggling with use of alias: (see 3.)
1.defined in httpd.conf: ScriptAlias /php/ "c:/php"
2.in php.ini: extension=php_mysqli.dll
3. Warning in Apache log: PHP Warning:  PHP Startup: Unable to load dynamic library 'C:/PHP/ext\\php_mysql.dll' - The specified procedure could not be found.\r\n in Unknown on line 0
4. "php_mysql.dll" at "C:\PHP\ext\php_mysql.dll
System  Windows NT RCHARDONXP 5.1 build 2600 
Server API  Apache 2.0 Handler
Loaded Configuration File  C:\PHP\php.ini 
Several, inconsistent sources have not improved things.  You folks seem to be able to help. Thanks...
Logged
admin
Administrator
Master of All Subjects
*****
Posts: 3272


View Profile WWW Email
« Reply #1 on: November 09, 2008, 02:21:35 PM »

You probably want to make sure that both:
extension=php_mysqli.dll
extension=php_mysql.dll

...are uncommented under php.ini; as #3 is talking about the latter.

There are also some old Guides here that might help you with setting up PHP as an Apache module...
http://www.devside.net/guides/windows/php5

And If you are going to use PHP CGI, its much better to just do this:
Code:
ScriptAlias /cgi-bin/ "C:/php/cgi-bin/"

<Directory "C:/php/cgi-bin">
AllowOverride None
Options None
Order allow,deny
Allow from all
</Directory>

Create directory: C:\php\cgi-bin and put your php scripts in there. Make sure they have the correct 'shebang' line.
Logged

DeveloperSide.NET
Advanced PHP and MySQL Solutions for your Web Design and Development needs with Web.Developer Server Suite.
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.9 | SMF © 2006-2009, Simple Machines LLC Valid XHTML 1.0! Valid CSS!